Bug 329671 - arts build failure, fun with 'open'
arts build failure, fun with 'open'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-10-12 13:06 EDT by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 17:21:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 33763 None None None Never

  None (edit)
Description Rex Dieter 2007-10-12 13:06:51 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=192684

Admittedly, artsdsp is evil, in trying to redefine 'open' in order to intercept
apps trying to open /dev/dsp directly.

The bit failing in artsdsp.c includes:
...
int (open) (const char *pathname, int flags, ...)
{
  va_list args;
  mode_t mode = 0;
...

suggestions?
Comment 1 Rex Dieter 2007-10-12 13:38:17 EDT
To get kde-3.5.8 deployed, until a better solution comes 'round, I'll include
quick-n-dirty hack to omit -D_FORTIFY_SOURCE when building artsdsp
Comment 2 Jakub Jelinek 2007-10-17 17:21:24 EDT
Should be fixed in gcc-4.1.2-32, please rebuild artsdsp back with
-D_FORTIFY_SOURCE=2, preferrably still for F8.

Note You need to log in before you can comment on or make changes to this bug.